Skip to main content
GET
/
tunnels
List
curl --request GET \
  --url https://api.ngrok.com/tunnels \
  --header 'Authorization: Bearer <token>' \
  --header 'ngrok-version: <ngrok-version>'
{
  "tunnels": [
    {
      "id": "<string>",
      "public_url": "<string>",
      "started_at": "<string>",
      "metadata": "<string>",
      "proto": "<string>",
      "region": "<string>",
      "tunnel_session": {
        "id": "<string>",
        "uri": "<string>"
      },
      "endpoint": {
        "id": "<string>",
        "uri": "<string>"
      },
      "labels": {},
      "backends": [
        {
          "id": "<string>",
          "uri": "<string>"
        }
      ],
      "forwards_to": "<string>"
    }
  ],
  "uri": "<string>",
  "next_page_uri": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Use the Endpoints endpoints instead. The Tunnels endpoint is deprecated.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ngrok-version
integer
default:2
required

Query Parameters

before_id
string
limit
string

Response

200 - application/json

List all online tunnels currently running on the account.

tunnels
object[]

the list of all online tunnels on this account

uri
string

URI of the tunnels list API resource

next_page_uri
string

URI of the next page, or null if there is no next page